Skip to main content
GET
/
v2
/
tax
/
item
/
{itemId}
/
{companyId}
/
{departureCountryISO}
/
{shipmentCountryISO}
Get Tax For Item
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/tax/item/{itemId}/{companyId}/{departureCountryISO}/{shipmentCountryISO} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "rate": 123,
  "taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "departureCountryISO": "<string>",
  "shipmentCountryISO": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

departureCountryISO
string
required

Country ISO code of the source Country.

shipmentCountryISO
string
required

Country ISO code of the target Country.

itemId
string<uuid>
required

The id of the Item to return.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

companyId
string<uuid>
required

The id of the Company to return. Represents a key for identifying a firm within the application.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Query Parameters

taxNumber
string

The taxNumber of the Customer

invoiceCountryISO
string

The Country ISO Code of the Invoice

invoiceCountryStateISO
string

The State in the Country of the Invoice

shipmentCountryStateISO
string

The State in the target Country

Response

The TaxRate for the given Item.

Model Class: TaxRate

rate
number<decimal>

The given Rate

taxClassId
string<uuid>

The ID of the tax class.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

departureCountryISO
string

Country ISO code of the address.

shipmentCountryISO
string

Country ISO code of the address.